# $Revision: 1.6 $, $Date: 2007/06/09 22:40:22 $
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	amaroK
Summary:	amaroK - Module for controlling amaroK-player
Summary(pl.UTF-8):	amaroK - moduł do sterowania odtwarzaczem amaroK
Name:		perl-amaroK
Version:	0
Release:	1
# same as perl ?
License:	GPL v1+ or Artistic
Vendor:		Markus "Linkku" Lindqvist <markus.lindqvist@gmail.com>
Group:		Development/Languages/Perl
Source0:	http://koti.mbnet.fi/linkku-/tuts/perl/amaroK/%{pnam}.pm
# Source0-md5:	3a47978ae362a15cc505ce9188dc7fbe
URL:		http://koti.mbnet.fi/linkku-/tuts/index.php?p=15
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With this Perl-module you can easily get information from amaroK and
control amaroK. You can get information with get()-method and execute
commands with command()-method. Before you can use get()-method you
have to set the format for output, you can set it with set().

%description -l pl.UTF-8
Przy pomocy tego modułu Perla można łatwo pobierać informacje z
amaroKa i sterować nim. Można pobierać informacje przy użyciu metody
get() i wykonywać polecenia przy użyciu metody command(). Przed
użyciem metody get() trzeba ustawić format wyjścia, co można zrobić
przy użyciu metody set().

%prep

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}

sed -e 's|#!/usr/bin/false|#!/bin/false|g' \
	%{SOURCE0} > \
	$RPM_BUILD_ROOT%{perl_vendorlib}/%{pnam}.pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pnam}.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-amaroK.spec,v $
Revision 1.6  2007/06/09 22:40:22  arekm
- rel 1

Revision 1.5  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.3  2005/09/22 19:45:38  qboosh
- pl

Revision 1.2  2005/09/18 13:20:07  darekr
- removed empty %build

Revision 1.1  2005/09/13 11:11:10  pluto
- module for controlling amaroK-player.
